#
# spec file for package yast2-packagemanager (Version 2.8.36)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  acl attr curl curl-devel gpp kdoc libgpp liby2util liby2util-devel openssl openssl-devel popt popt-devel readline readline-devel rpm rpm-devel yast2-devtools
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib curl curl-devel gcc gcc-c++ gdbm gettext kdoc libstdc++-devel libtool liby2util liby2util-devel openssl-devel perl popt-devel readline-devel rpm rpm-devel yast2-devtools

Name:         yast2-packagemanager
Provides:     libpkg
Obsoletes:    libpkg
Provides:     yast2-agent-package
Obsoletes:    yast2-agent-package
Provides:     yast2-agent-you
Obsoletes:    yast2-agent-you
Provides:     yast2-agent-targetpkg
Obsoletes:    yast2-agent-targetpkg
Provides:     yast2-core-clients y2client
Obsoletes:    yast2-core-clients y2client
Provides:     yast2-core-pkginfo
Obsoletes:    yast2-core-pkginfo
Provides:     yast2-agent-ftp
Obsoletes:    yast2-agent-ftp
Provides:     yast2-agent-http
Obsoletes:    yast2-agent-http
Provides:     yast2-db-groups
Obsoletes:    yast2-db-groups
PreReq:       %fillup_prereq
Requires:     rpm >= 4.1.1
Version:      2.8.36
Release:      1
License:      YaST License
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-packagemanager-2.8.36.tar.bz2
Summary:      YaST2 - Package Manager

%description
YaST2 - Package Manager

Authors:
--------
    Michael Andres <ma@suse.de>
    Ludwig Nussel <lnussel@suse.de>
    Cornelius Schumacher <cschum@suse.de>
    Klaus Kmpf <kkaempf@suse.de>

%package devel
Requires:     yast2-packagemanager = %version
Group:        System/YaST
Summary:      Include Files and Libraries mandatory for Development
Provides:     libpkg-devel
Obsoletes:    libpkg-devel
Provides:     yast2-agent-package-devel
Obsoletes:    yast2-agent-package-devel
Provides:     yast2-agent-you-devel
Obsoletes:    yast2-agent-you-devel
Provides:     yast2-agent-targetpkg-devel
Obsoletes:    yast2-agent-targetpkg-devel
Provides:     yast2-core-clients-devel
Obsoletes:    yast2-core-clients-devel
Provides:     yast2-core-pkginfo-devel
Obsoletes:    yast2-core-pkginfo-devel
Provides:     yast2-agent-ftp-devel
Obsoletes:    yast2-agent-ftp-devel
Provides:     yast2-agent-http-devel
Obsoletes:    yast2-agent-http-devel
Requires:     rpm-devel >= 4.1.1

%description devel
Include Files and Libraries mandatory for Development

Authors:
--------
    Michael Andres <ma@suse.de>
    Ludwig Nussel <lnussel@suse.de>
    Cornelius Schumacher <cschum@suse.de>
    Klaus Kmpf <kkaempf@suse.de>

%prep
%setup -n yast2-packagemanager-2.8.36

%build
y2tool y2autoconf
y2tool y2automake
autoreconf --force --install
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "/usr/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check
for f in `find $RPM_BUILD_ROOT//usr/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done
install -m 644 -D src/you/youservers $RPM_BUILD_ROOT/etc/youservers
mkdir -p $RPM_BUILD_ROOT/var/lib/YaST2
mkdir -p $RPM_BUILD_ROOT/var/lib/YaST2/you
mkdir -p $RPM_BUILD_ROOT/var/lib/YaST2/you/mnt

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_libdir}/liby2pm.so.*
/usr/bin/online_update
/usr/bin/installation_sources
/usr/bin/genIS_PLAINcache
%config(noreplace) /etc/youservers
/var/adm/fillup-templates/sysconfig.onlineupdate
/var/lib/YaST2
/var/lib/YaST2/you
/var/lib/YaST2/you/mnt

%files devel
%defattr(-,root,root)
%{_libdir}/liby2pm.so
%{_libdir}/liby2pm.la
/usr/include/YaST2
%doc /usr/share/doc/packages/yast2-packagemanager

%post
%{fillup_only -n onlineupdate}

%changelog -n yast2-packagemanager
* Tue Apr 06 2004 - cschum@suse.de
- YOU: Write to home directory instead of /var/tmp when running as
  user. (#38431)
  2.8.36
* Wed Oct 29 2003 - cschum@suse.de
- Don't overwrite default mirror from suseservers.cgi with last
  mirror when user hasn't manually selected a mirror.
* Thu Oct 23 2003 - cschum@suse.de
- Transmit timezone with suseservers.cgi query to be able to select
  a closer mirror.
* Wed Sep 24 2003 - arvin@suse.de
- hopefully fixed slide show
* Tue Sep 23 2003 - ma@suse.de
- Provide a symlink to slideshow data during install or upadte.
  Otherwise the slideshow is in need to predict where an InstSrc
  cache is going to be created. (#31491)
- Prevent librpm from writing error messages to the console during
  update. They destroy the ncurses screen. (#30379)
- 2.8.32
* Tue Sep 23 2003 - ma@suse.de
- Prevent installation of source rpms from accessing a media, which
  YaST was told to skip. Do not forgett to install source rpms from
  media not needed for binary packages.(#31559)
- 2.8.30
* Mon Sep 22 2003 - ma@suse.de
- Fixed possible endless loop when skipping media during install.
  (#31373)
- 2.8.29
* Fri Sep 19 2003 - cschum@suse.de
- InstYou: Reset MediaCurl callbacks in case of error or user
  abort during patch download. Fixes crash (#31415).
* Fri Sep 19 2003 - ma@suse.de
- No longer report enabling an enabled, or disabling a disabled
  InstSrc as an error.
- 2.8.27
* Fri Sep 19 2003 - ma@suse.de
- Within instsys, if the InstSrc is setup to use the media and no
  ram chache, omit unmounting media after packageCommit. (#30423)
- 2.8.26
* Thu Sep 18 2003 - ma@suse.de
- Don't use epoch when deleting packages (#31187)
- 2.8.25
* Thu Sep 18 2003 - ma@suse.de
- Avoid creation of a second rpm3 database backup, after database was
  converted.
- Automaticaly close rpm database, if no handles outside librpmDb
  exist. The necessity to explicitly call dbClose to avoid locking
  the database longer than necessary is too error-prone.
- Import of gpg-pubkeys fixed (#30350)
- 2.8.24
* Wed Sep 17 2003 - lnussel@suse.de
- First check obsoletes, then conflicts. Fixes #31001 and #31031.
- Fix internal program testinstall and add missing header
- Include release in output operator of RelInfoList (used in testinstall for
  debugging purpose)
- 2.8.23
* Wed Sep 17 2003 - ma@suse.de
- Adjusted return code of commitPackages. Calling functions were
  unable to detect an aborted installation, iff not at least one
  package was installed. (#31045)
- 2.8.22
* Tue Sep 16 2003 - ma@suse.de
- Fixed candiadate selection to prefer packages introduced by
  'yast2 -i' (#30456)
- 2.8.21
* Tue Sep 16 2003 - kkaempf@suse.de
- do not take obsoletes of installed packages into account
  (part of #31001)
- 2.8.20
* Mon Sep 15 2003 - ma@suse.de
- On installation and update look for ascii armored public keys
  located in the media rootdir, and import them into the rpmdatabase,
  if they are not already present. (#30350)
- Install packages using --nodigest --nosignature (#28776)
- 2.8.19
* Mon Sep 15 2003 - msvec@suse.cz
- 2.8.18
* Fri Sep 12 2003 - ma@suse.de
- Added ability to import ascii armored public key to rpmdatabase.
* Fri Sep 12 2003 - cschum@suse.de
- MediaCurl: FTP_ACCESS_DENIED isn't a login error. (#30420).
* Fri Sep 12 2003 - cschum@suse.de
- Prevent creation of double slashes in URLs by appending the
  filename leading to invalid URLs. (#30532)
- 2.8.17
* Thu Sep 11 2003 - ma@suse.de
- Do not call rpmdbInit if the database already exists. (#30357)
- 2.8.16
* Thu Sep 11 2003 - ma@suse.de
- Fixed failed sync between SelectionManager and InstTarget.
- Log error and refuse to commit packages, if InstTarget is not
  initialized.
- 2.8.15
* Wed Sep 10 2003 - arvin@suse.de
- fixed return value (bug #30354)
- 2.8.14
* Tue Sep 09 2003 - arvin@suse.de
- fixed compilation
- 2.8.13
* Tue Sep 09 2003 - ma@suse.de
- Fixed missing Fclose reading rpm header from package. (#29916)
- 2.8.12
* Mon Sep 08 2003 - ma@suse.de
- After commiting all packages, packagemanager is synced with
  rpm database on target (#29679, #26586)
- Invalidate solver cache if items are added or removed from
  manager.
- 2.8.11
* Sun Sep 07 2003 - ma@suse.de
- Fixed instTargetInit and instTargetClose to properly
  setup and shutdown target and any existing managers.
  Prepared instTargetUpdate to reread rpm databes and
  propagate changes to an existing package manager. Still open,
  whether this can be done automaticaly on commitPackages.
  (#29679 partially)
- 2.8.10
* Mon Sep 01 2003 - cschum@suse.de
- Add missing options to sysconfig template.
* Mon Sep 01 2003 - arvin@suse.de
- fixed return value of commitPackages
* Fri Aug 29 2003 - arvin@suse.de
- fixed build
* Fri Aug 29 2003 - ma@suse.de
- Sort package candidate list by (arch->version->InsrSrc priority).
  (#26002)
* Fri Aug 29 2003 - ma@suse.de
- Move away any old database before the first package is going to
  be installed. (#29285)
* Fri Aug 29 2003 - ma@suse.de
- Introduced new Callbacks able to provide more data and more
  control on errors. All knowledge about the needs of a certain
  kind of callback recipient (like YCPCallbacks) and how they
  operate is removed from the code here. (#29484 as far as
  packagemanager is affected).
- Speedup database conversion and rebuild.
- Overworked commitPackages.
- 2.8.7
* Mon Aug 25 2003 - sh@suse.de
- First part of fix for bug #19603: RPM groups not translated
  Moved gettext initialization out to YRpmGroupsTree.cc in liby2util
* Fri Aug 22 2003 - ma@suse.de
- Invalidate all outstanding database handles after conversion.
* Wed Aug 20 2003 - cschum@suse.de
- Own /var/lib/YaST2/you and /var/lib/YaST2/you/mnt (#28793).
* Tue Aug 19 2003 - cschum@suse.de
- Fixed -s option of online_update (#28138).
* Fri Aug 15 2003 - arvin@suse.de
- fixed memory corruption (bug #28373 and #28763)
* Tue Aug 12 2003 - ma@suse.de
- Adapt to changes in liby2util.
- 2.8.5
* Thu Aug 07 2003 - ma@suse.de
- Close rpmdatabase when installing/deleting packages via rpm to
  make shure subsequent queries reopen the database and see the
  changes made.
* Tue Aug 05 2003 - ma@suse.de
- Added new content file entry 'RELNOTESURL'
- 2.8.4
* Wed Jul 30 2003 - ma@suse.de
- Support for rpm4
- 2.8.3
* Tue Jul 29 2003 - cschum@suse.de
- MediaAccess::dirInfo(): If a file "directory.yast" exists in the
  directory read this and return content as directory listing.
* Tue Jul 29 2003 - cschum@suse.de
- Added MediaAccess::disconnect() for closing a server connection
  before releasing the media (#28040).
* Wed Jul 09 2003 - cschum@suse.de
- YOU: Store username/password for each server separately.
- MediaCurl: Send packagemanager version as password with
  anonymous FTP login.
- Make absolute FTP paths in URLs work (#23535)
* Tue Jul 08 2003 - cschum@suse.de
- Added support for "file:" URLs.
* Thu Jul 03 2003 - cschum@suse.de
- Added "lang" parameter to suseserver.cgi call.
* Wed Jun 25 2003 - cschum@suse.de
- MediaNFS: Call mount with option "nolock" to prevent the mount
  command hanging when portmapper is not running.
* Tue Jun 24 2003 - cschum@suse.de
- Added progress callback for InstTarget::executeScript().
* Tue Jun 17 2003 - cschum@suse.de
- Added support for "Files" tag in YOU patch files.
* Mon Jun 09 2003 - ma@suse.de
- Fixes to build with rpm-4. InstTarget is disabled, as lots of
  code needs review.
* Wed May 28 2003 - cschum@suse.de
- Added option to execute YCP scripts as part of a YOU patch.
* Fri May 16 2003 - cschum@suse.de
- Rewrote YOU authentification code.
* Tue Apr 22 2003 - ma@suse.de
- Plain RPM InstSources are now able to work on gzipped cachefiles
  (IS_PLAINcache.gz; no bzip2).
- 2.8.0
* Tue Apr 15 2003 - cschum@suse.de
- Fixed MediaCurl download on x86_64 (#25817).
* Thu Apr 10 2003 - sh@suse.de
- Fixed bug #25804: FTP download shows pkg build no.
* Tue Mar 18 2003 - ma@suse.de
- SelectionManager missed to save/restore it's internal list of
  selections last state. As it's the transition 'last state -> new state'
  that determines the fate of the selections packages, we correctly
  restored a previously saved state, but further changes were sometimes
  handled incorrect.
- 2.7.36
* Sun Mar 16 2003 - ma@suse.de
- Added genIS_PLAINcache. Standalone binary to create a chachefile
  for plain RPM InstSource. Cachefile is mandatory for plain RPM
  InstSources accessed via FTP/HTTP.
- 2.7.35
* Fri Mar 14 2003 - kkaempf@suse.de
- fix name display of source rpm
- sort installation of source rpms by media number
- 2.7.34
* Fri Mar 14 2003 - kkaempf@suse.de
- ensure correct media is attached before starting to install
  source rpms.
- 2.7.33
* Fri Mar 14 2003 - kkaempf@suse.de
- fix passing of path information from package provider to target.
- fix error message, show path of missing file instead of package
  name.
- 2.7.32
* Fri Mar 14 2003 - kkaempf@suse.de
- Correctly install source rpms, from current and other
  medias (#25380)
* Fri Mar 14 2003 - ma@suse.de
- Filter cdroms and other unwanted mountpoints (e.g. /mnt,/media)
  for disk usage calculation. (#23544)
* Fri Mar 14 2003 - ma@suse.de
- Enabled using plain RPM sources as InstSource. With media other
  than FTP/HTTP it works out of the box, if all RPM packages are
  located in one directory. For remote media and RPM packages located
  inside a directory tree, a chachefile must be provided at the InstSrc
  root directory. Zipped cachefile is supported. Standalone binary to
  create a chachefile will be provided ASASP.(#23928)
- 2.7.31
* Thu Mar 13 2003 - ma@suse.de
- Fixed: Request to install source rpm got lost, if binary package
  is to be installed/deleted (#24067,25318)
* Mon Mar 10 2003 - ma@suse.de
- On query whether instsource is remote (ftp,http), check the url
  in case the media is not yet open. (#24641)
- 2.7.30
* Mon Mar 10 2003 - ma@suse.de
- Fixed: rpm install error wrongly interpreted as error providing
  next package. (#24924)
- 2.7.29
* Mon Mar 10 2003 - ma@suse.de
- Let solver always tag auto states triggered by packages in goodlist.
  (e.g. auto delete for obsoleted packages.) (#25005)
- 2.7.28
* Mon Mar 10 2003 - ma@suse.de
- On update delete packages replaced by unique provides. (#24633)
* Sat Mar 08 2003 - ma@suse.de
- Open RpmDb progress log (y2logRPM) on demand, and close it
  automatically. (#24756)
* Fri Mar 07 2003 - ma@suse.de
- Make Y2PM::commitPackages turn the selectables state to unmodify,
  after the binary package was successfully installed/deleted. For
  successfully installed source packes, clear the selectables
  source_install flag. There's no need to process them again in later
  calls to commitPackages (unless someone selected them again).
- 2.7.27
* Thu Mar 06 2003 - ma@suse.de
- On Update: Disable already existing InstSources on system and install
  the new sources with highest priority. (#24369)
  On the fly adjust directory permissions below /var/adm/YaST to 0755.
- 2.7.26
* Thu Mar 06 2003 - cschum@suse.de
- Don't ask for proxy password (#24723).
* Wed Mar 05 2003 - kkaempf@suse.de
- enhance provide and install callbacks to pass error code, error
  message and package name. Change return code from void to string,
  implement ok/retry(this package)/skip(this media)/cancel(installation)
  for errors during package providal (download) and package installation.
  (#23780)
- 2.7.24
* Wed Mar 05 2003 - ma@suse.de
- Prevent selection manager from changing state of packages not included
  in any selection. Formerly all settings on application level were cleared,
  loosing hardware dependent and kernel packages selected on that level too.
- 2.7.22
* Tue Mar 04 2003 - ma@suse.de
- Parse content files FLAGS value. Stored and provided via
  InstSrcDescr::content_flags(). (needed for #21561)
- 2.7.21
* Tue Mar 04 2003 - lnussel@suse.de
- don't generate error when a package is obsoleted and breaks another package
  which is obsoleted by a candidate (#24115)
* Tue Mar 04 2003 - ma@suse.de
- Y2PM interface to save and restore package selection state (package and
  selection manager) and to detect if there were changes since last save.
  (needed to fix #23616)
- 2.7.20
* Mon Mar 03 2003 - ma@suse.de
- When deleting a selection, prevent packages included in other active
  selections from being removed. (#23833)
- Always install packages.en in InstSrc cache. Otherwise we might have
  no texts at all if language is changed. (#24264)
- 2.7.19
* Fri Feb 28 2003 - kkaempf@suse.de
- don't split LabelMap along spaces, just the first one
  counts (#23573)
* Fri Feb 28 2003 - kkaempf@suse.de
- eject all cd drives if none is active on 'eject' (#24005)
* Thu Feb 27 2003 - lnussel@suse.de
- check dependencies of packages that obsolete installed ones first (#24115)
* Thu Feb 27 2003 - cschum@suse.de
- Fixed dangling pointer to cookie jar (#24286).
* Wed Feb 26 2003 - lnussel@suse.de
- Honor implicit provide of own name when computing remove lists (#24298)
* Wed Feb 26 2003 - cschum@suse.de
- Propagate libcurl error message to GUI (#23989).
* Wed Feb 26 2003 - cschum@suse.de
- Call progress callbacks during download of individual RPMs.
* Tue Feb 25 2003 - arvin@suse.de
- added missing #include <assert.h>
* Mon Feb 24 2003 - cschum@suse.de
- Create /var/lib/YaST2/you/ for update check, if it doesn't exist
  (#23804).
* Mon Feb 24 2003 - ma@suse.de
- Changed ranking of candidate packages, if package is available on
  multiple instsources. Packages are now ranked by best version,
  then architecture, then instsource priority. In presence of an
  installed package, the best candidate with respect to the installed
  packages architecture is choosen.
- Allow krpmview widget in konqueror to introduce a special instsource.
  Packages from this source are always prefered as candidate. (#23748)
- 2.7.15
* Fri Feb 21 2003 - ma@suse.de
- Able to import/export package selection. Fixes #23923, as soon as
  UI uses the new interface.
- 2.7.14
* Fri Feb 21 2003 - cschum@suse.de
- Correctly handle proxy settings (#21431).
* Wed Feb 19 2003 - lnussel@suse.de
- Don't check dependencies of packages that provide their requires and are
  going to be updated (fixes #23836)
* Tue Feb 18 2003 - ma@suse.de
- If MediaHandler is unable to create a default attach point in
  /var/adm/mount (e.g. no permission), it tries to create it in
  /var/tmp.
* Tue Feb 18 2003 - cschum@suse.de
- Make checks for availability of new online updates run without
  root permissions.
* Mon Feb 17 2003 - ma@suse.de
- Package internal: Cleaned up testsuite and moved all developer
  stuff to devel subdir. Tag targets as EXTRA_PROGRAMS, as we don't
  want them to disturb build, in case they do not compile on every
  architecture.
- 2.7.13
* Fri Feb 14 2003 - ma@suse.de
- Bind textdomain "rpm-groups" to get translations (#19603)
- 2.7.12
* Fri Feb 14 2003 - ma@suse.de
- Per default protect installed non SuSE packages.
* Fri Feb 14 2003 - ma@suse.de
- Call PMSelectionManager::installOnTarget from Y2PM::commitPackages
  to remember selection changes (#21616)
* Thu Feb 13 2003 - cschum@suse.de
- Added CMDLINE_OPTIONS variable to sysconfig/onlineupdate.
* Thu Feb 13 2003 - lnussel@suse.de
- keep package sets between solver runs
- use stl map instead of hash for PkgSet
- non-recursive remove function
* Thu Feb 13 2003 - cschum@suse.de
- Added -q option to online_update command line to for quick check of
  updates without downloading all patch information.
* Wed Feb 12 2003 - ma@suse.de
- Selection/SelectionManager overworked. Now able to delete/install/replace
  Selections. More stable parsing of alternate packages. Language dependent
  packages are passed to the UI too. Ability to store the current state in
  InstTargets selection DB.
- 2.7.11
* Mon Feb 10 2003 - cschum@suse.de
- Destruct PatchManager at exit of YaST. This is needed to unmount
  the installation media.
* Fri Feb 07 2003 - ma@suse.de
- Prevent automatic (by solver/selections) downgrade of packages. As
  always allow SuSE packages to downgrade themself dependent on buildtime
  comparison.
* Thu Feb 06 2003 - lnussel@suse.de
- do not consider installed inconsistent packages that are already marked for
  installation
- search_for_provider no longer marks available packages for installation when
  an installed version also provides the relation (should fix confusing result
  for obsoletions)
* Thu Feb 06 2003 - ma@suse.de
- New UI_Status 'S_Keep' (similar to S_Taboo, but an installed object
  is present). Setting S_Keep/S_Taboo no longer clears any candidateObj.
- 2.7.9
* Mon Feb 03 2003 - ma@suse.de
- InstSrcManager: Allow multiple entries for same product via
  different urls.
- 2.7.8
* Fri Jan 31 2003 - ma@suse.de
- Fixes in testsuite to compile.
- Fall back to InstTarget::getMountPoints, if 'df' info for
  packagemanagers disk usage calculation has not been initialized.
- In PMPackageManager::getPackagesToInsDel filter out packages tagged
  auto_delete. Solver sets auto_delete for packages being obsoleted.
  Thus they should not be manualy deleted.
- 2.7.7
* Thu Jan 30 2003 - ma@suse.de
- Overworked disk usage calculation.
- 2.7.6
* Tue Jan 28 2003 - lnussel@suse.de
- better handling of obsoleted packages, problems are now reported in
  ErrorResultList
* Mon Jan 27 2003 - ma@suse.de
- Fixed configure checks.
- Removed references to librpm from public header files.
- 2.7.5
* Fri Jan 24 2003 - cschum@suse.de
- Moved sysconfig/online-update from yast2-online-update to
  yast2-packagemanager.
* Thu Jan 23 2003 - ma@suse.de
- using librpm for queries
- 2.7.4
* Thu Jan 23 2003 - cschum@suse.de
- Show warning, if installation of patch will not install any
  packages because of the UpdateOnlyInstalled option.
- Correctly calculate patch size and total download size taking
  into account, if patch RPMs or full RPMs are used.
* Wed Jan 22 2003 - lnussel@suse.de
- look in virtual installed set for provides of installed packages, fixes
  #21829
* Mon Jan 20 2003 - cschum@suse.de
- Read a path prefix from /media.1/patches which is prepended to
  the path used for getting YOU patches.
* Wed Dec 18 2002 - cschum@suse.de
- Implemented PMManager::read/writeSettings(). It's currently only
  used for storing taboo state for patches.
- Added PkgNameEd::asString()
- Added -c option for online_update: Display configuration.
- Added -k option for online_update: Checking for new updates.
- Replaced include of Manager classes in Y2PM.h by forward
  declarations to reduce dependencies.
- Added attribute to PMError class for storing error details.
- Added PkgName::asString().
- Added MediaAccess::getFile().
- Added "cached" argument to MediaAccess::provideFile() to allow
  to only retrieve files which aren't present yet.
- Added YOU attributes externalUrl() and patchRpmBaseVersions() to
  PMPackage.
- InstYou: Added function to set package states corrsponding to
  patch states.
- InstYou: Added option to download only the patches which are not
  yet locally available due to a previous download.
- InstYou: Added functions to check for availability of new
  updates.
- Added callbacks for showing YOU progress.
- Better YOU error handling.
- Remember date of last successfull update.
- Read "Label" and "RpmGroup" from patch files.
- Remember last server used for update.
- All you related files storing state information are now under
  /var/lib/YaST2/you.
- Split up /etc/suseservers in file caching the downloaded server
  list (/var/lib/YaST2/you/youservers) and file holding
  user-defined servers (/etc/youservers).
- Added "distproduct" information to suseservers.cgi call to be
  able to differentiate between Personal and Professional edition.
- 2.7.2
* Mon Dec 09 2002 - cschum@suse.de
- Don't preselect patch of kind "YaST2", if it only has new versions
  for non-installed packages.
* Mon Dec 02 2002 - arvin@suse.de
- added openssl to neededforbuild (libcurl needs it)
* Mon Dec 02 2002 - cschum@suse.de
- Pass versions of packages containing code of YOU to suseservers.cgi.
* Mon Nov 25 2002 - cschum@suse.de
- Split long description of YOU patches in lines, so that it can
  properly be formatted in the patch selector.
- 2.6.46
* Thu Nov 14 2002 - cschum@suse.de
- Use libcurl as media backend for FTP and HTTP instead of wget.
* Mon Nov 04 2002 - ma@suse.de
- Fixed PMULPackageDataProvider::providesSources returning the inverse.
  (#21517)
- 2.7.0
* Thu Oct 24 2002 - ma@suse.de
- Removed all the anythingBy...() methods from Selection/PackageManager.
  They are common and thus now realized once in PMManager. No need for
  duplicate code. Additionally PMManager now provides a general interface
  (anyMatch(..)) to test wheter a certain condition is true for at least
  one of it's Selectables.
- 2.6.45
* Tue Oct 15 2002 - ma@suse.de
- Let InstTarget retrieve and provide all file dependencies, not just
  those that arise from already installed packages. (#20866)
- 2.6.44
* Tue Oct 15 2002 - kkaempf@suse.de
- when cancelling/skipping media check for end of package list
  and break out of the install loop gracefully (#19336)
- 2.6.43
* Mon Oct 14 2002 - kkaempf@suse.de
- add "anythingByUser()" for SelectionManager().
- 2.6.42
* Mon Oct 14 2002 - ma@suse.de
- Fixed bug in candidate ranking. If same InstSrc and architecture
  prefere highest version.
- 2.6.41
* Fri Oct 11 2002 - kkaempf@suse.de
- Invalidate cached media nr in source if the source gets
  invalidated (by a source/media change)
- 2.6.40
* Fri Oct 11 2002 - cschum@suse.de
- Read "directory.3" file to get list of patches, because in
  previous YOU versions the UpdateOnlyInstalled option doesn't
  completely work.
* Thu Oct 10 2002 - cschum@suse.de
- If UpdateOnlyInstalled option is set only download packages
  which will be installed.
* Wed Oct 09 2002 - ma@suse.de
- fixed InstSrc cache init on FTP/HTTP.
* Wed Oct 09 2002 - ma@suse.de
- Let PMSelection provide physical access to the sel file (via
  provideSelToInstall()).
* Wed Oct 09 2002 - ma@suse.de
- Y2PM::cacheToRamdisk() flag added. Tells whether created instSrc'es
  may cache meta-data in ramdisk during install. Needed to be able to
  install cache meta-data on system after installation is done.
- 2.6.39
* Mon Oct 07 2002 - kkaempf@suse.de
- handle installation order separately from source priority (#20609)
- prepare for caching of source meta-data in ram
- 2.6.38
* Wed Oct 02 2002 - kkaempf@suse.de
- write real ftp/http password to cache data (#17590)
- suppress options (";..." at end of url) when calling wget (#20293)
- add 'wget' as 'Requires' (#20162)
- distinguish between description url and package url, these are
  different in the 'multiple source' installation method.
- 2.6.37
* Wed Oct 02 2002 - cschum@suse.de
- Patch description files are now also parsed with the new parser.
* Tue Oct 01 2002 - cschum@suse.de
- implemented check for base versions of patch RPMs.
* Tue Sep 24 2002 - arvin@suse.de
- fixed fallback to English package descriptions (bug #19953)
* Tue Sep 24 2002 - cschum@suse.de
- Fixed checking of signatures for scripts downloaded by YOU.
- 2.6.35
* Mon Sep 23 2002 - arvin@suse.de
- open and attach media before copying media descr to
  installed system (bug #20000)
* Fri Sep 20 2002 - kkaempf@suse.de
- parse full product data (product, distproduct, baseproduct)
  from content file and provide it from the cache. Business
  products need this data to know their system base.
- 2.6.33
* Fri Sep 20 2002 - kkaempf@suse.de
- drop cross-pointers of selections which didn't work across
  multiple sources, no one currently needs it anyway.
- 2.6.32
* Fri Sep 20 2002 - cschum@suse.de
- Fixed download for YOU patches containing no packages.
* Fri Sep 20 2002 - kkaempf@suse.de
- add "source change" callback for UI
- release media after source change
- 2.6.31
* Fri Sep 20 2002 - cschum@suse.de
- Fixed UpdateOnlyInstalled option of YOU.
* Thu Sep 19 2002 - kkaempf@suse.de
- use passive ftp for wget (cschum@suse.de)
- YOU fixes (cschum@suse.de)
- close media.X/media file if it's the wrong one
- disable source when deleting it
- 2.6.30
* Thu Sep 19 2002 - kkaempf@suse.de
- fix check for newer candidate when selecting packages
- 2.6.29
* Wed Sep 18 2002 - ma@suse.de
- Try to unlock CD/DVD's locked by other InstSrc'es when we have to
  provide packages for install.
- 2.6.28
* Wed Sep 18 2002 - kkaempf@suse.de
- implement separated install and package sources
- allow change of URL
- 2.6.27
* Wed Sep 18 2002 - lnussel@suse.de
- use a installed set in InstallOrder to resolve requirements first
- output graphviz file in printAdj()
* Wed Sep 18 2002 - lnussel@suse.de
- assume auto if no filesystem is specified in MediaDisk
* Fri Sep 13 2002 - lnussel@suse.de
- remove leading slash from filenames to make tar back up the right files
  (#19620)
- 2.6.26
* Thu Sep 12 2002 - lnussel@suse.de
- don't look into old version of a package, that is to be upgraded, for
  determining whether the dependencies of the new one are fulfilled
- 2.6.25
* Thu Sep 12 2002 - lnussel@suse.de
- hack to revert auto state of packages that are already installed in same
  version
- 2.6.24
* Thu Sep 12 2002 - kkaempf@suse.de
- fixed removing previously downloaded package.
- 2.6.23
* Thu Sep 12 2002 - kkaempf@suse.de
- fix harddisk url recognition
- 2.6.21
* Thu Sep 12 2002 - ma@suse.de
- InstSrc: cleanup media dir on disable.
- InstSrc: let providePackage remove a previously downloaded package.
* Thu Sep 12 2002 - ma@suse.de
- Let installed system provide installed selections (#19522)
* Thu Sep 12 2002 - kkaempf@suse.de
- handle trailing slashes in URL (#19495)
- fix cancel of media
- fix skipping of media
- retry next device if media supports multiple devices
* Thu Sep 12 2002 - ma@suse.de
- new candidate ranking based on source rank, arch, version.
  Candidates matching an installed packages arch, are prefered.
- 2.6.20
* Wed Sep 11 2002 - kkaempf@suse.de
- pass abort state further up
- 2.6.19
* Wed Sep 11 2002 - kkaempf@suse.de
- fix skipping cd.
- allow abort during install
- implement source ranking
- implement state save/restore
- fix source management
- 2.6.18
* Wed Sep 11 2002 - kkaempf@suse.de
- equal buildtime is no reason to check manually during update
- 2.6.17
* Wed Sep 11 2002 - kkaempf@suse.de
- allow self-provides/conflicts/obsoletes but warn
- re-install packages with bad verify
- lesser debug
- 2.6.16
* Wed Sep 11 2002 - kkaempf@suse.de
- close medium when changing url, this will automatically
  re-open it with the new url.
- 2.6.15
* Wed Sep 11 2002 - kkaempf@suse.de
- filter out and log packages with dependencies on itself (ma@suse.de)
- 2.6.14
* Tue Sep 10 2002 - kkaempf@suse.de
- read complete description from rpmdb.
* Tue Sep 10 2002 - lnussel@suse.de
- do not complain about broken requirements of installed but obsolete packages
* Tue Sep 10 2002 - lnussel@suse.de
- upgrade mode option. Packages marked for installation by a selection which
  conflict with already installed will be ignored in this case
* Tue Sep 10 2002 - arvin@suse.de
- added provides/obsoletes y2client (bug #19325)
* Mon Sep 09 2002 - kkaempf@suse.de
- Installation of src/nosrc rpms.
- re-prompt after ejecting
- release media before prompting
- 2.6.12
* Mon Sep 09 2002 - lnussel@suse.de
- remove proxy settings from wget class, works automatically
  through ~/.wgetrc
* Sun Sep 08 2002 - ma@suse.de
- fixes for update (handle splitprovides/obsoletes similar to
  provides/obsoletes, i.e. it's not dropped, but replaced by an
  other package)
- fixed PackageDataProvider to provide vendor information for
  packages. Fixes update problem, where downgraded SuSE packages
  were wrongly counted and reported as old version.
- 2.6.11
* Sat Sep 07 2002 - kkaempf@suse.de
- add "-C" parameter to tar during package backup
- break out without checking media contents
- 2.6.10
* Sat Sep 07 2002 - kkaempf@suse.de
- add "YOUURL"
- fix update deletion loop
- 2.6.9
* Fri Sep 06 2002 - kkaempf@suse.de
- copy PMSolvable data to shared package since the share
  will only work for on-demand data, not in-core data.
- 2.6.8
* Fri Sep 06 2002 - kkaempf@suse.de
- fix creation of rpm backup, added missing _rootdir
- doUpdate returns statistics (ma@suse.de)
- make set of problematic packages available
- 2.6.7
* Fri Sep 06 2002 - kkaempf@suse.de
- append rpm logfile
* Thu Sep 05 2002 - kkaempf@suse.de
- added update (ma@suse.de)
- added package backup (lnussel@suse.de)
- added rebuilddb progress (lnussel@suse.de)
- added rebuilddb progress callback (lnussel@suse.de, kkaempf@suse.de)
- fallback to ".default" locale (#18763)
- use solver for selection dependencies
- implement size differ to take deleted packages into account
  (lnussel@suse.de)
- provisions for source package install
- properly init locale from LANG
- online update enhancements (cschum@suse.de)
- report wget errors properly
- 2.6.6
* Thu Sep 05 2002 - kkaempf@suse.de
- fallback i686->i586 if cx8/cmov are missing. (#18885)
* Thu Sep 05 2002 - kkaempf@suse.de
- dont change maps while iterating
- 2.6.5 + diff
* Tue Sep 03 2002 - kkaempf@suse.de
- initial version for update
- further online-update functionality
- cleaned up callbacks
- implement product db (ma@suse.de)
- 2.6.5
* Wed Aug 28 2002 - kkaempf@suse.de
- implement media change callbacks
- fix cache read/write (ma@suse.de)
- implement selection db (ma@suse.de)
* Tue Aug 27 2002 - kkaempf@suse.de
- improve cache handling of data
- take media nr into account in installation order
- fix status handling for selectables
- fix selection handling
* Sun Aug 25 2002 - kkaempf@suse.de
- fix reading of locale based selection data.
* Wed Aug 21 2002 - kkaempf@suse.de
- provide just a single library
* Wed Aug 21 2002 - kkaempf@suse.de
- almost complete, still missing:
  callbacks, queries, solver connection
* Thu May 16 2002 - ma@suse.de
- Initial version.
